Subject: [COSE] Re: Roman Danyliw's No Objection on draft-ietf-cose-dilithium-09: (with COMMENT)
From: Orie <[email-masked]>
To: Roman Danyliw <[email-masked]>
Cc: The IESG <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 11 Oct 2025 08:43:23 -0500
List-Id: CBOR Object Signing and Encryption <cose.ietf.org>

Hi Roman,

I've addressed your feedback along with other IESG comments here:

https://github.com/cose-wg/draft-ietf-cose-dilithium/pull/26

Please let me know if I missed anything.

Inline for the rest.

On Tue, Oct 7, 2025 at 12:25 PM Roman Danyliw via Datatracker <
[email-masked]> wrote:

> Roman Danyliw has entered the following ballot position for
> draft-ietf-cose-dilithium-09: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to
> https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/
> for more information about how to handle DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-cose-dilithium/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Thank you to Russ Housley for the GENART review.
>
> ** Editorial.  A number of references in the document are not formal
> references.  For example:
>
> -- Section 4, “FIPS 204” vs. “[FIPS 204]” (multiple instances)
>

I think I fixed all these.

>
> -- Section 8.1.1, “RFC 9053 and RFC 9054” vs. “[RFC9053] and [RFC9054]”
> (multiple instances)
>

I addressed this.

>
> ** Section 8.1.1.* -- Why is the change control entity specific named
> here, but
> it is in the JOSE registrations?
>

Good catch, probably a copy paste error on my side.

>
> ** Section 8.1.4.4.*  -- These registration have a row with “Value
> registry:
> [IANA.jose] Algorithms”.  That is not in the RFC7518 template or in the
> production
>
> https://www.iana.org/assignments/jose/jose.xhtml#web-signature-encryption-algorithms
> registry
>

Another good catch, I have corrected this.